# Image Glitcher

## Requirements

- Go (_version 1.24 onwards_)
- ffmpeg
- Love in your heart

## Usage

1. Build the project

```bash
go build
```

2. Run the command

```bash
$ ./glitch_img
Usage: go run main.go <source-file> <number-of-copies> <shit-size> <iterations>
```

### Example

```bash
./glitch_img img.jpeg 100 30 2
```

Outputs 100 images into a destination folder _output_ with 30 random bytes of data, running through the file twice
